<div ng-controller="FileOperadorCtrl">
	<div class="page page-dashboard">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <li>
                  <!-- <a ui-sref="home.lista_semana">Semanas</a> -->
                  <a>Administración de Archivos</a>
                </li>
              </ul>
            </div>
        </div>
        <div class="card-container">
            <div class="panel panel-success">
	            <div class="panel-heading">
	                <h3 class="panel-title"><i class="fa fa-files-o"></i> Detalle de Archivos : <strong>{{usuario.nick | uppercase}}</strong></h3>
	            </div>
	            <div class="panel-body">
	            	<!-- listar archivos -->
					<div ng-show="flag">
						<div class="row">
		                    <div class="col-md-4">
		                        <a class="btn btn-xs btn-primary btn-rounded-10" ui-sref="home.container.operador"><i class="fa fa-arrow-left"></i>  Regresar</a>
		                    </div>
		                </div>
		                <br>
						<!-- facturas -->
						<div class="row">
							<div class="col-md-12">
								<legend>
			                        <i class="fa fa-recycle"></i> Facturas
			                    </legend>
							</div>
						</div>
						
	                    <div class="row">
	                        <div class="col-md-12" ng-show="files.facturas.length != 0">
	                            <div class="table-responsive mt-5">
	                                <table class="table table-hover table-bordered">
	                                    <thead>
	                                        <tr>
	                                            <th><small>#</small></th>
	                                            <th><small>Nombre del archivo</small></th>
	                                            <th><small>Cliente</small></th>
	                                            <th width="350px" class="text-center"><small>Operaciones</small></th>
	                                        </tr>
	                                    </thead>
	                                    <tbody>
	                                        <tr dir-paginate="fac in files.facturas |filter: buscar | itemsPerPage: 5" pagination-id="fac.id">
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{$index + 1 }}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{fac.nombre}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{fac.cliente}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;" class="text-center">
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20 mb-10" ng-click="download(fac,3,'factura')">Descargar <i class="fa fa-download"></i></button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20 mb-10"  ng-click="openModalPreview($event,fac,1)"  data-options="splash-2 splash-ef-14" >Visualizar <i class="fa fa-desktop"></i></button>
	                                            </td>
	                                        </tr>
	                                    </tbody>
	                                </table>
	                            </div>
	                            <div class="pull-right">
	                                <small><dir-pagination-controls pagination-id="fac.id"></dir-pagination-controls></small>
	                            </div>
	                        </div>
	                        <div class="col-md-12" ng-show="files.facturas.length == 0">
	                            <p class="text-center">
	                                <i class="fa fa-inbox fa-4x"></i>
	                                <h4 class="text-center">aún no se han registrado Facturas...</h4> 
	                            </p>
	                        </div>
	                    </div>
	                    <br>
	                    <!-- packings -->
	                    <legend><i class="fa fa-recycle"></i> Pakings</legend>
	                    <div class="row">
	                        <div class="col-md-12" ng-show='files.packings.length != 0'>
	                            <div class="table-responsive mt-5">
	                                <table class="table table-bordered table-hover">
	                                    <thead>
	                                        <tr>
	                                            <th><small>#</small></th>
	                                            <th><small>Nombre del archivo</small></th>
	                                            <th><small>Cliente</small></th>
	                                            <th><small>Fecha de subida</small></th>
	                                            <th><small>Hora de subida</small></th>
	                                            <th><small>Operaciones</small></th>
	                                        </tr>
	                                    </thead>
	                                    <tbody>
	                                        <tr dir-paginate="pack in files.packings |filter: buscar | itemsPerPage: 4" pagination-id="pack.id">
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{$index + 1}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{pack.nombre}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{pack.cliente}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{pack.fecha}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{pack.hora}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;">
	                                            	<button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="download(pack,2,'packing')">Descargar <i class="fa fa-download"></i></button>
	                                               <button type="button" class="btn btn-default btn-border btn-rounded-20"  ng-click="openLink(pack)">Visualizar <i class="fa fa-desktop"></i></button>
	                                            </td>
	                                        </tr>
	                                    </tbody>
	                                </table>
	                            </div>
	                            <div class="pull-right">
	                                <small><dir-pagination-controls pagination-id="pack.id"></dir-pagination-controls></small>
	                            </div>
	                        </div>
	                        <div class="col-md-12" ng-show="files.packings.length == 0">
	                            <p class="text-center">
	                                <i class="fa fa-inbox fa-4x"></i>
	                                <h4 class="text-center">aún no se han registrado packings para este contenedor...</h4> 
	                            </p>
	                        </div>    
	                    </div>
	                    <br>
	                    <!-- certificados -->
	                    <legend><i class="fa fa-recycle"></i> Certificados</legend>
	                    <div class="row">
	                        <div class="col-md-12" ng-show="files.certificados.length != 0">
	                            <div class="table-responsive mt-5">
	                                <table class="table table-hover table-bordered">
	                                    <thead>
	                                        <tr>
	                                            <th><small>#</small></th>
	                                            <th><small>Nombre del archivo</small></th>
	                                            <th><small>Cliente</small></th>
	                                            <th class="text-center" width="350px"><small>Operaciones</small></th>
	                                        </tr>
	                                    </thead>
	                                    <tbody>
	                                        <tr dir-paginate="cer in files.certificados |filter: buscar | itemsPerPage: 4" pagination-id="cer.id">
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{$index + 1 }}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{cer.nombre}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{cer.cliente}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;" class="text-center">
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20 mb-10" ng-click="download(cer,3,'certificado')">Descargar <i class="fa fa-download"></i></button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20 mb-10" ng-click="openModalPreview($event,cer,2)"  data-options="splash-2 splash-ef-14">Visualizar <i class="fa fa-desktop"></i></button>
	                                            </td>
	                                        </tr>
	                                    </tbody>
	                                </table>
	                            </div>
	                            <div class="pull-right">
	                                <small><dir-pagination-controls pagination-id="cer.id"></dir-pagination-controls></small>
	                            </div>
	                        </div>
	                        <div class="col-md-12" ng-show="files.certificados.length == 0">
	                            <p class="text-center">
	                                <i class="fa fa-inbox fa-4x"></i>
	                                <h4 class="text-center">aún no se han registrado Certificados...</h4> 
	                            </p>
	                        </div>
	                    </div>
	                    <br>
	                    <!-- valijas -->
	                    <legend><i class="fa fa-recycle"></i> Valijas</legend>
	                    <div class="row">
	                        <div class="col-md-12">
	                            <button class="btn btn-danger btn-rounded-10 btn-border" ng-if="permisosHas('valijas.registrar')" ng-click="upload(3)"><i class="fa fa-file-pdf-o"></i> agregar archivos</button>
	                        </div>
	                    </div>
	                    <div class="row">
	                        <div class="col-md-12" ng-show="files.valijas.length != 0">
	                            <div class="table-responsive mt-5">
	                                <table class="table table-condensed  table-bordered">
	                                    <thead>
	                                        <tr>
	                                            <th><small>#</small></th>
	                                            <th><small>Nombre del archivo</small></th>
	                                            <th><small>Cliente</small></th>
	                                            <th colspan="2"><small>Contenedores</small></th>
	                                            <th width="350px" class="text-center"><small>Operaciones</small></th>
	                                        </tr>
	                                    </thead>
	                                    <tbody dir-paginate="val in files.valijas |filter: buscar | itemsPerPage: 4" pagination-id="cer.id">
	                                        <tr>
	                                            <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{val.contenedores.length+1}}"><small>{{$index + 1 }}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{val.contenedores.length+1}}"><small>{{val.nombre}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{val.contenedores.length+1}}"><small>{{val.cliente}}</small></td>
	                                            <td style="background:#F2F2F2"><small>Número</small></td>
	                                            <td style="background:#F2F2F2"><small>Referencia</small></td>
	                                            <td class="text-center" style="vertical-align:middle; white-space: nowrap;" rowspan="{{val.contenedores.length+1}}">
	                                            	<button ng-if="permisosHas('emails.enviar')" ng-click="openModalSend($event,val,3)" class="btn btn-info btn-border btn-rounded-20"><i class="fa fa-paper-plane"></i> Send to Email</button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="download(val,3,'valija')">Descargar <i class="fa fa-download"></i></button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="openModalPreview($event,val,3)"  data-options="splash-2 splash-ef-14">Visualizar <i class="fa fa-desktop"></i></button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-if="permisosHas('valijas.eliminar')" ng-click="openModalDelete($event,val,3)"  data-options="splash-2 splash-ef-14">Eliminar <i class="fa fa-trash-o"></i></button>
	                                            </td>
	                                        </tr>
	                                        <tr ng-repeat="con in val.contenedores">
	                                        	<td>{{con.numero}}</td>
	                                        	<td>{{con.referencia}}</td>
	                                        </tr>
	                                    </tbody>
	                                </table>
	                            </div>
	                            <div class="pull-right">
	                                <small><dir-pagination-controls pagination-id="cer.id"></dir-pagination-controls></small>
	                            </div>
	                        </div>
	                        <div class="col-md-12" ng-show="files.valijas.length == 0">
	                            <p class="text-center">
	                                <i class="fa fa-inbox fa-4x"></i>
	                                <h4 class="text-center">aún no se han registrado Valijas...</h4> 
	                            </p>
	                        </div>
	                    </div>
	                    <br>
		              	<!-- Otros archivos -->
		              	<legend><i class="fa fa-recycle"></i> Otros Archivos</legend>
		              	<div class="row">
		                	<div class="col-md-12" ng-show="otros_archivos.length != 0">
		                    <div class="table-responsive mt-5">
		                        <table class="table table-bordered">
		                            <thead>
		                                <tr>
		                                    <th><small>#</small></th>
		                                    <th><small>Nombre del archivo</small></th>
		                                    <th><small>Tipo de Archivo</small></th>
		                                    <th><small>Fecha de subida</small></th>
		                                    <th><small>Hora de subida</small></th>
		                                    <th class="text-center"><small>Operaciones</small></th>
		                                </tr>
		                            </thead>
		                            <tbody dir-paginate="otros in otros_archivos |filter: buscar | itemsPerPage: 4" pagination-id="otros.id">
		                                <tr>
		                                    <td style="vertical-align:middle; white-space: nowrap;"><small>{{$index + 1 }}</small></td>
		                                    <td style="vertical-align:middle; white-space: nowrap;"><small>{{otros.nombre}}</small></td>
		                                    <td style="vertical-align:middle; white-space: nowrap;"><small><span ng-if="otros.tipo === 1">WORD</span><span ng-if="otros.tipo === 2">EXCEL</span><span ng-if="otros.tipo === 3">PDF</span></small></td>
		                                    <td style="vertical-align:middle; white-space: nowrap;"><small>{{otros.fecha}}</small></td>
		                                    <td style="vertical-align:middle; white-space: nowrap;"><small>{{otros.hora}}</small></td>
		                                    <td class="text-center" style="vertical-align:middle; white-space: nowrap;">
		                                      <!-- <button ng-if="permisosHas('emails.enviar')" ng-click="openModalSend($event,otros,3)" class="btn btn-info btn-border btn-rounded-20"><i class="fa fa-paper-plane"></i> Send to Email</button> -->
		                                        <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="download(otros,null,'otros_archivos')">Descargar <i class="fa fa-download"></i></button>
		                                        <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="preview(otros,$event)"  data-options="splash-2 splash-ef-14">Visualizar <i class="fa fa-desktop"></i></button>
		                                        <!--  ng-if="permisosHas('otros_archivos.eliminar')"  -->
		                                        <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="openModalDelete($event,otros,6)"  data-options="splash-2 splash-ef-14">Eliminar <i class="fa fa-trash-o"></i></button>
		                                    </td>
		                                </tr>
		                            </tbody>
		                        </table>
		                    </div>
		                    <div class="pull-right">
		                        <small><dir-pagination-controls pagination-id="otros.id"></dir-pagination-controls></small>
		                    </div>
		                	</div>
			                <div class="col-md-12" ng-show="otros_archivos.length == 0">
			                    <p class="text-center">
			                        <i class="fa fa-inbox fa-4x"></i>
			                        <h4 class="text-center">aún no se han registrado otros archivos para esta semana...</h4> 
			                    </p>
			                </div>
		              	</div>
					</div>
					<!-- subir archivos -->
					<div ng-show="!flag">
						<legend class="text-center">Subir <span ng-if="tipo===1">Facturas</span><span ng-if="tipo===2">Certificados</span><span ng-if="tipo===3">Valijas</span></legend>
						<div class="row">
							<div class="col-md-12">
								<span class="label label-info">Nota: </span><span>No se cargarán archivos mayores de 2MB. </span>
							</div>
							<div class="col-md-4 col-md-offset-2">
								<br>
								<button class="btn btn-primary btn-block" ngf-select="uploadFiles($files)" multiple accept="application/pdf" ngf-max-height="1000" ngf-max-size="1MB">
						      		<i class="fa fa-upload"></i> Seleccione Archivos
						      	</button>
							</div>
							<div class="col-md-4">
								<label for="">Cliente | <span class="obligatorio">(obligatorio)</span></label>
								<select class="form-control" data-options="splash-2 splash-ef-14" ng-model="id_cliente" ng-disabled="!files.length" ng-change="openModalSelect($event,id_cliente)" ng-options="cl.id as cl.razon_social for cl in clientes">
		                            <option value="">-- Cliente --</option>
		                        </select>
							</div>					      	
						</div>
						
				      	<div class="table-responsive" ng-if="files.length">
		                    <table class="table table-hover">
		                        <thead>
		                            <tr>
		                                <th>Nombre</th>
		                                <th>Tamaño</th>
		                                <th></th>
		                            </tr>
		                        </thead>
		                        <tbody>
		                            <tr ng-repeat="f in files">
		                                <td>{{f.name}}</td>
		                                <td>{{(f.size/1024)/1024 | number:2}} MB</td>
		                                <td>
		                                    <button type="button" class="btn btn-danger btn-xs" ng-click="deleteItemArray($index)"><i class="fa fa-trash"></i></button>
		                                </td>
		                            </tr>
		                        </tbody>
		                    </table>
		                </div>
		                <uib-progressbar ng-if="!flagUpload" class="progress-sm progress-striped active not-rounded" value="progress" type="dutch"><b>{{progress}}%</b></uib-progressbar>
		                <hr>
		                
						<div class="text-center">
							<button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="flag = !flag;files = [];obj = {};id_cliente=null;listFiles();"> <i class="fa fa-close"></i> cancelar</button>
                    		<button  ng-if="flagUpload" ng-disabled="!id_cliente" type="submit" class="btn btn-default btn-border btn-rounded-10" ng-click="save()"><i class="fa fa-upload"></i> subir archivos</button>
                    		<button ng-if="!flagUpload" type="button" class="btn btn-default btn-border btn-rounded-10">
                    		<i class="fa fa-spin fa-spinner"></i> subiendo archivos...</button>
						</div>
					</div>
				</div>
	        </div>
	    </div>
	</div>
	<script type="text/ng-template" id="modal_preview.html">
        <div class="modal-body">
            <div class="text-center">
                <div class="row">
                    <div class="col-md-12">
                        <embed src="{{ruta}}" width="100%" toolbar=0 height="500px">
                        </embed>
                    </div>
                </div>
                <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="cancel()"><i class="fa fa-close"></i> cerrar</button>
            </div>
        </div>
    </script>
    <script type="text/ng-template" id="modal_select_containers.html">
       <div class="modal-header">
            <div class="text-center">
                <h3 class="modal-title custom-font">Seleccione Contenedores para la 
                Valija</h3>
            </div>            
        </div>
        <div class="modal-body">
			<div class="table-responsive" ng-if="contenedores.length != 0 ">
        		<table class="table table-hover">
        			<thead>
        				<tr>
        					<th>Numero</th>
        					<th>Referencia</th>
        					<th>Selecione</th>
        				</tr>
        			</thead>
        			<tbody>
        				<tr ng-repeat="con in contenedores">
        					<td>{{con.numero_contenedor}}</td>
        					<td>{{con.referencia}}</td>
        					<td class="text-center">
								<label class="switch">
	                                <input type="checkbox" ng-model="con.enable">
	                                <span></span>
	                            </label> 
							</td>
        				</tr>
        			</tbody>
        		</table>
        	</div>
        	<div class="col-md-12" ng-show="contenedores.length == 0">
                <p class="text-center">
                    <i class="fa fa-inbox fa-4x"></i>
                    <h4 class="text-center">Esta semana no tiene contenedores para este operador..</h4> 
                </p>
            </div>
            <div class="text-center">
                <button type="button" class="btn btn-primary" ng-click="select()">Aceptar</button>
            </div>
        </div>
    </script>
    <script type="text/ng-template" id="modal_delete_file.html">
       <div class="modal-header">
            <div class="text-center">
                <h3 class="modal-title custom-font">¿Desea eliminar este archivo?</h3>
            </div>            
        </div>
        <div class="modal-body">
            <div class="text-center">
                <h3>{{obj.nombre}}</h3>
                <button type="button" class="btn btn-danger" ng-disabled="!flagButton" ng-click="ok()">Aceptar</button>
                <button type="button" class="btn btn-primary" ng-click="cancel()">Cancelar</button>
            </div>
        </div>
    </script>
    <script type="text/ng-template" id="modal_send_file.html">
       <div class="modal-header">
            <div class="text-center">
                <h3 class="modal-title custom-font">¿Desea enviar este archivo a Emails?</h3>
            </div>            
        </div>
        <div class="modal-body">
            <div class="text-center" ng-if="flagSend">
                <h3>{{obj.nombre}}</h3>
                <button type="button" class="btn btn-danger" ng-click="sendEmail()">Aceptar</button>
                <button type="button" class="btn btn-primary" ng-click="cancel()">Cancelar</button>
            </div>
            <div class="loading-container" ng-if="!flagSend">
                <div class="loading"></div>
                <div id="loading-text">Enviando</div>
            </div>
        </div>
    </script>
</div>